<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="82e81869-40b7-44bf-a50c-aeb6eb78a233" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/../../AnsjerUM/urls.py" beforeDir="false" afterPath="$PROJECT_DIR$/../../AnsjerUM/urls.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../Controller/SysController.py" beforeDir="false" afterPath="$PROJECT_DIR$/../../Controller/SysController.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/js/jqhttpsdk.js" beforeDir="false" afterPath="$PROJECT_DIR$/js/jqhttpsdk.js" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/login.html" beforeDir="false" afterPath="$PROJECT_DIR$/login.html" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/umlist.html" beforeDir="false" afterPath="$PROJECT_DIR$/umlist.html" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/.tmp/" />
    <ignored path="$PROJECT_DIR$/temp/" />
    <ignored path="$PROJECT_DIR$/tmp/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="1502916291">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="1" />
          <entry key="project.open.time.1" value="1" />
          <entry key="project.open.time.11" value="1" />
          <entry key="project.open.time.67" value="1" />
          <entry key="project.open.time.95" value="1" />
          <entry key="project.opened" value="4" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="css" value="3" />
          <entry key="html" value="9" />
          <entry key="js" value="18" />
          <entry key="json" value="1" />
          <entry key="md" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CSS" value="3" />
          <entry key="HTML" value="9" />
          <entry key="JSON" value="1" />
          <entry key="JavaScript" value="18" />
          <entry key="PLAIN_TEXT" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="html" value="2465" />
          <entry key="js" value="37" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="HTML" value="2465" />
          <entry key="JavaScript" value="37" />
        </counts>
      </usages-collector>
    </session>
    <session id="709442949">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.open.time.28" value="1" />
          <entry key="project.open.time.52" value="1" />
          <entry key="project.opened" value="2" />
        </counts>
      </usages-collector>
    </session>
    <session id="-1133389475">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="2" />
          <entry key="project.open.time.106" value="1" />
          <entry key="project.open.time.12" value="1" />
          <entry key="project.open.time.8" value="1" />
          <entry key="project.opened" value="3" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="html" value="2" />
          <entry key="js" value="1" />
          <entry key="json" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="HTML" value="2" />
          <entry key="JSON" value="1" />
          <entry key="JavaScript" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="html" value="307" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="HTML" value="307" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/index.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="288">
              <caret line="16" column="76" selection-start-line="16" selection-start-column="76" selection-end-line="16" selection-end-column="76" />
              <folding>
                <element signature="n#li#1;n#ul#0;n#div#0;n#div#1;n#body#0;n#html#0;n#!!top" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/umlist.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="486">
              <caret line="36" column="37" selection-start-line="36" selection-start-column="37" selection-end-line="36" selection-end-column="37" />
              <folding>
                <element signature="n#style#0;n#a#0;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
                <element signature="n#style#0;n#i#0;n#a#0;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/umlog.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="306">
              <caret line="17" column="68" selection-start-line="17" selection-start-column="68" selection-end-line="17" selection-end-column="68" />
              <folding>
                <element signature="n#style#0;n#a#0;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
                <element signature="n#style#0;n#i#0;n#a#0;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/js/jqhttpsdk.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="90">
              <caret line="5" column="45" selection-start-line="5" selection-start-column="45" selection-end-line="5" selection-end-column="45" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/js/admin.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="3258">
              <caret line="181" column="16" selection-start-line="181" selection-start-column="16" selection-end-line="181" selection-end-column="16" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/echarts6.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="5832">
              <caret line="324" selection-start-line="324" selection-end-line="324" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="JavaScript File" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>iconfont</find>
      <find>hm.js</find>
      <find>densitydpi</find>
      <find>系统通知</find>
      <find>Copyright</find>
      <find>GetJSON</find>
      <find>layui-btn</find>
      <find>distribute_btn</find>
      <find>select</find>
      <find>form</find>
      <find>uploadInst</find>
      <find>imuidlist</find>
      <find>tableIns</find>
      <find>uid</find>
      <find>X-admin</find>
      <find>欢迎页面-X-admin2.0</find>
      <find>where</find>
      <find>is_use</find>
      <find>is_use_select</find>
      <find>获取</find>
      <find>postJson</find>
      <find>postJSON</find>
      <find>009688</find>
      <find>layui-btn layui-btn-small</find>
      <find>http_ip_port</find>
    </findStrings>
    <replaceStrings>
      <replace>um</replace>
      <replace>欢迎页面</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/../.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/js/shownowtime.js" />
        <option value="$PROJECT_DIR$/welcome.html" />
        <option value="$PROJECT_DIR$/js/xadmin.js" />
        <option value="$PROJECT_DIR$/order-add.html" />
        <option value="$PROJECT_DIR$/order-list.html" />
        <option value="$PROJECT_DIR$/uidlist.html" />
        <option value="$PROJECT_DIR$/umlog.html" />
        <option value="$PROJECT_DIR$/umlist.html" />
        <option value="$PROJECT_DIR$/umlist.html" />
        <option value="$PROJECT_DIR$/index.html" />
        <option value="$PROJECT_DIR$/js/jqhttpsdk.js" />
        <option value="$PROJECT_DIR$/login.html" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="177" />
    <option name="y" value="301" />
    <option name="width" value="1041" />
    <option name="height" value="816" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="1" id="Add" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="UM-admin" type="b2602c69:ProjectViewProjectNode" />
              <item name="UM-admin" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="UM-admin" type="b2602c69:ProjectViewProjectNode" />
              <item name="UM-admin" type="462c0819:PsiDirectoryNode" />
              <item name="js" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="project.propVCSSupport.Mappings" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\AngularPJ\X-admin" />
      <recent name="D:\AngularPJ\X-admin\js" />
      <recent name="D:\AngularPJ\X-admin\lib" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="82e81869-40b7-44bf-a50c-aeb6eb78a233" name="Default Changelist" comment="" />
      <created>1537429802436</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1537429802436</updated>
      <workItem from="1537429803795" duration="6418000" />
      <workItem from="1537490017268" duration="18245000" />
      <workItem from="1537834686717" duration="619000" />
      <workItem from="1537842992768" duration="12747000" />
      <workItem from="1537921617926" duration="702000" />
      <workItem from="1538035763814" duration="689000" />
      <workItem from="1538980977813" duration="4513000" />
      <workItem from="1539564173240" duration="654000" />
      <workItem from="1539575549002" duration="37000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="44624000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1616" height="886" extended-state="6" />
    <layout>
      <window_info id="Favorites" order="0" side_tool="true" />
      <window_info active="true" content_ui="combo" id="Project" order="1" visible="true" weight="0.19011407" />
      <window_info id="Structure" order="2" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Terminal" order="0" weight="0.23271276" />
      <window_info anchor="bottom" id="Event Log" order="1" side_tool="true" weight="0.23404256" />
      <window_info anchor="bottom" id="Version Control" order="2" weight="0.32978722" />
      <window_info anchor="bottom" id="Docker" order="3" show_stripe_button="false" />
      <window_info anchor="bottom" id="Message" order="4" />
      <window_info anchor="bottom" id="Find" order="5" weight="0.32991204" />
      <window_info anchor="bottom" id="Run" order="6" />
      <window_info anchor="bottom" id="Debug" order="7" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="8" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="9" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="10" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
    <layout-to-restore>
      <window_info id="Favorites" order="0" side_tool="true" />
      <window_info active="true" content_ui="combo" id="Project" order="1" visible="true" weight="0.15529412" />
      <window_info id="Structure" order="2" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Terminal" order="0" />
      <window_info anchor="bottom" id="Event Log" order="1" side_tool="true" weight="0.31117022" />
      <window_info anchor="bottom" id="Version Control" order="2" />
      <window_info anchor="bottom" id="Docker" order="3" show_stripe_button="false" />
      <window_info anchor="bottom" id="Message" order="4" />
      <window_info anchor="bottom" id="Find" order="5" />
      <window_info anchor="bottom" id="Run" order="6" />
      <window_info anchor="bottom" id="Debug" order="7" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="8" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="9" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="10" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/lib/layui/css/layui.css">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/css/xadmin.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="230">
          <caret line="361" column="34" lean-forward="true" selection-start-line="361" selection-start-column="34" selection-end-line="361" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md" />
    <entry file="file://$PROJECT_DIR$/js/jquery_cookie_min.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="18">
          <caret line="1" column="83" selection-start-line="1" selection-start-column="83" selection-end-line="1" selection-end-column="83" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/js/jquery-3.3.1.min.js">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/js/shownowtime.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="414">
          <caret line="23" column="8" lean-forward="true" selection-start-line="23" selection-start-column="8" selection-end-line="23" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/css/font.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="16" lean-forward="true" selection-start-line="16" selection-end-line="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/order-add.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="432">
          <caret line="39" column="49" lean-forward="true" selection-start-line="39" selection-start-column="49" selection-end-line="39" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/layui/lay/modules/table.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="18">
          <caret line="1" column="5662" selection-start-line="1" selection-start-column="5662" selection-end-line="1" selection-end-column="5662" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/order-list.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1422">
          <caret line="79" column="40" selection-start-line="79" selection-start-column="34" selection-end-line="79" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/uidlist.html" />
    <entry file="file://$PROJECT_DIR$/js/city.js">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/user.json">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/login.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="134">
          <caret line="83" column="20" lean-forward="true" selection-start-line="83" selection-start-column="20" selection-end-line="83" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/unicode.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="72">
          <caret line="4" column="27" selection-start-line="4" selection-start-column="27" selection-end-line="4" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/welcome.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="663">
          <caret line="61" column="22" selection-start-line="61" selection-start-column="22" selection-end-line="61" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/layui/layui.all.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="36">
          <caret line="1" column="1985" selection-start-line="1" selection-start-column="1985" selection-end-line="1" selection-end-column="1985" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="16" column="76" selection-start-line="16" selection-start-column="76" selection-end-line="16" selection-end-column="76" />
          <folding>
            <element signature="n#li#1;n#ul#0;n#div#0;n#div#1;n#body#0;n#html#0;n#!!top" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/umlog.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="17" column="68" selection-start-line="17" selection-start-column="68" selection-end-line="17" selection-end-column="68" />
          <folding>
            <element signature="n#style#0;n#a#0;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
            <element signature="n#style#0;n#i#0;n#a#0;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/js/jqhttpsdk.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="5" column="45" selection-start-line="5" selection-start-column="45" selection-end-line="5" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/js/admin.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3258">
          <caret line="181" column="16" selection-start-line="181" selection-start-column="16" selection-end-line="181" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/echarts6.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="5832">
          <caret line="324" selection-start-line="324" selection-end-line="324" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/umlist.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="486">
          <caret line="36" column="37" selection-start-line="36" selection-start-column="37" selection-end-line="36" selection-end-column="37" />
          <folding>
            <element signature="n#style#0;n#a#0;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
            <element signature="n#style#0;n#i#0;n#a#0;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>